Get Data API
Introduction
API allows developers to integrate Signzy's services into their own applications, enabling secure and efficient identity verification processes.This particular API endpoint allows users to retrieve a list of service providers for a specific country and provider name. The request must include the patron ID, access token, provider name, and country information in order to successfully retrieve the requested data.
How to call the API
You will need to log in before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
Make sure you replace ..your-patron-id.. in the URL with the patronId that you receive from the login call and also make sure you pass in all the necessary input parameters in the correct format.
Countries currently supported are: Australia, United States of America, Canada and South Africa
NOTE: The response in the Get Data API is slightly diffrent from the request body that is passed to the callbackUrl.
Sample CURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..your-patron-id../globalutilities \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{
"task":"getData",
"essentials": {
"requestId": "..requestId received from Fetch Address API..",
}
}'
Parameter | Type | Required | Description |
|---|---|---|---|
task | string | Yes | Specifies the task to be performed by the API. In this case, the task is to retrieve information about providers. |
requestId | string | Yes | RequestId received from Fetch Address API |
Sample API Response
{
"result": {
"requestId": "..requestId..",
"callbackUrl": "..callbackUrl..",
"status": "PENDING",
"detail": "..detail.."
}
}Parameter | Description |
|---|---|
requestId | The unique identifier for the provider. |
callbackUrl | A callback URL to receive notifications when the task is complete. This is an optional parameter. |
status | The status of the API request. Possible values are SUCCESS, FAILURE, or PENDING. |
addressess | The address. |
detail | Additional information about the API request, such as an error message if the status is FAILURE. |
Error Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
error | This parameter contains the error. |
error.statusCode | Request Status code from Signzy |
error.name | the name of the error |
error.message | the error message |
type | type of the error |

CODE | DESCRIPTION | INTERPRETATION |
|---|---|---|
400 | Bad Request | Input Parameter has a missing required parameter or not a valid one. |
401 | Authorization Failed | Authorization token is invalid. |
500 | Internal Server Error | Internal error at Signzy, please contact support. |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].